Bug 53534 - clib_ext.h redefines snprintf in an incompatible fashion
Summary: clib_ext.h redefines snprintf in an incompatible fashion
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-11 00:48 UTC by SL Baur
Modified: 2007-04-18 16:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-07 19:40:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix for snprintf botchy (521 bytes, patch)
2001-09-11 00:53 UTC, SL Baur
no flags Details | Diff

Description SL Baur 2001-09-11 00:48:49 UTC
Description of Problem:
clib_ext.h redefines snprintf to be snprintf_rpmdb, but this
symbol is never defined anywhere.   A minimal patch is
attached to allow rpm to be built on Solaris.

Version-Release number of selected component (if applicable):
4.0.3/CVS

How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:

Comment 1 SL Baur 2001-09-11 00:53:06 UTC
Created attachment 31557 [details]
fix for snprintf botchy

Comment 2 Paul Nasrat 2005-06-07 19:40:36 UTC
I believe the later sleepycat db/* used in later rpm do not have this issue, and
are known to build on Solaris - cf OpenPkg rpm packages.




Note You need to log in before you can comment on or make changes to this bug.